# Cors

If you are creating a web app or making a request from a website, please make sure to check the information provided below.

## CORS mechanism

{% hint style="warning" %}
**Important.** Without doing this, requests from the browser will be blocked.
{% endhint %}

In case you are making requests to CodeMash from a browser, you will need to setup allowed origins in your project settings.

### Setting up allowed origins

* Go to your project settings
* Find a setting called **Allowed origins**.
* Add all allowed domains separated by comma (,).

![Example of CORS origins setup](/files/-M7bozKR6tBPZXj_3DIy)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.codemash.io/api/cors.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
